Subject: bug#30685: closed (Re: bug#30685: end-of-file mode should respect read-only mode)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 08 Mar 2018 15:49:02 +0000

Your bug report

#30685: end-of-file mode should respect read-only mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30685: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30685
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30685: end-of-file mode should respect read-only mode
From: Eli Zaretskii <[email-masked]>
To: 積丹尼 Dan Jacobson <[email-masked]>
Cc: [email-masked]
Date: Thu, 08 Mar 2018 17:48:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: 積丹尼 Dan Jacobson <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 07 Mar 2018 04:35:15 +0800
> 
> >>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
> EZ> If the user had Read the Fine Manual...
> 
> (info "(emacs) Misc Buffer")
> A buffer can be “read-only”, which means that commands to change its
> contents are not allowed.
> 
> So add:
> 
> "'Contents' do not include end-of-line conventions. There is currently
> no way to protect against them getting changed."

I clarified this in a different way.

Thanks.

Subject: end-of-file mode should respect read-only mode
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Sat, 03 Mar 2018 07:34:10 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

In the modeline the curious user sees a ":" and clicks it.
and sees [DOS], [Mac], etc.

Frightened, the user keeps clicking until he cycles back to its original
":" state, and breathes a sigh of relief.

But wait, it's time for lunch and time to close the editor program.

But now it's asking him about saving the file.

"I thought that -r--r--r-- file owned by the boss and which I viewed in
read-only mode, or even view-mode, was understood by everybody to be
something I didn't intend to meddle with." "Now it thinks I wanted to
modify it..."

Now with extra sweat dripping, he hits undo,

    command-execute: Buffer is read-only: #<buffer boss's_secret_employee_evaluations.txt>

"G*d@*m it, half of the editor knows things are read-only, the other
half doesn't."

Sure, he can just answer "no" when asked to save the file. But why
embroil him this way in the first place. Readonly should be Readonly.

Now Curious Other User 2 also clicks the ":".
At the end when closing emacs she is asked if she wants to save the
file, to which she agrees. Which results in even more warnings and
eventual failure to save the file anyway...